org.keycloak.representations.adapters.config

## Interface AdapterHttpClientConfig

- All Known Implementing Classes:
    AdapterConfig, Configuration

      public interface AdapterHttpClientConfig

  Configuration options relevant for configuring http client that can be used by adapter. NOTE: keep in sync with adapters/saml/core/src/main/java/org/keycloak/adapters/AdapterHttpClientConfig.java until unified.
  Author:
    hmlnarik

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientKeystore()` Returns keystore with client keys.
    `String` | `getClientKeystorePassword()` Returns keystore password.
    `int` | `getConnectionPoolSize()` Returns size of connection pool.
    `long` | `getConnectionTimeout()` Returns timeout for establishing the connection with the remote host in milliseconds.
    `long` | `getConnectionTTL()` Returns the connection time-to-live
    `String` | `getProxyUrl()` Returns URL of HTTP proxy.
    `long` | `getSocketTimeout()` Returns timeout for socket waiting for data in milliseconds.
    `String` | `getTruststore()` Returns truststore filename.
    `String` | `getTruststorePassword()` Returns truststore password.
    `boolean` | `isAllowAnyHostname()` Returns boolean flag whether any hostname verification is done on the server's certificate, `true` means that verification is not done.
    `boolean` | `isDisableTrustManager()` Returns boolean flag whether any trust management and hostname verification is done.

- - ### Method Detail

    - #### getTruststore

          String getTruststore()

      Returns truststore filename.

    - #### getTruststorePassword

          String getTruststorePassword()

      Returns truststore password.

    - #### getClientKeystore

          String getClientKeystore()

      Returns keystore with client keys.

    - #### getClientKeystorePassword

          String getClientKeystorePassword()

      Returns keystore password.

    - #### isAllowAnyHostname

          boolean isAllowAnyHostname()

      Returns boolean flag whether any hostname verification is done on the server's certificate, `true` means that verification is not done.
      Returns:

    - #### isDisableTrustManager

          boolean isDisableTrustManager()

      Returns boolean flag whether any trust management and hostname verification is done.

      NOTE Disabling trust manager is a security hole, so only set this option if you cannot or do not want to verify the identity of the host you are communicating with.

    - #### getConnectionPoolSize

          int getConnectionPoolSize()

      Returns size of connection pool.

    - #### getProxyUrl

          String getProxyUrl()

      Returns URL of HTTP proxy.

    - #### getSocketTimeout

          long getSocketTimeout()

      Returns timeout for socket waiting for data in milliseconds.

    - #### getConnectionTimeout

          long getConnectionTimeout()

      Returns timeout for establishing the connection with the remote host in milliseconds.

    - #### getConnectionTTL

          long getConnectionTTL()

      Returns the connection time-to-live

Copyright © 2021 JBoss by Red Hat. All rights reserved.